# Installer for the 'cydia' extension

# install.py
# By:  Chuck Rhode, 14 May 2018

# 2019 Feb 12 . Change to weeWX 3.9.1.
# 2019 Feb 05 . Add files.

from setup import ExtensionInstaller

def loader():
    return CydiaInstaller()

class CydiaInstaller(ExtensionInstaller):
    def __init__(self):
        super(CydiaInstaller, self).__init__(
            version="0.1",
            name='cydia',
            description='The cydia extension for weewx.',
            author="Chuck Rhode",
            author_email="mailto://CRhode@LacusVeris.com?subject=Cydia",
            files=[
                ('bin', [
                    'bin/weewx/cydiagenerator.py',
                    'bin/weewx/dd_table.py',
                    ]),
                ('skins/Seasons', [  # 2019 Feb 12
                    'skins/Seasons/Cydia/NOAA-YYYY.csv.tmpl',
                    'skins/Seasons/Cydia/C_pomonella_First_Flight.html.tmpl',  # 2019 Feb 05
                    'skins/Seasons/Cydia/C_pomonella_Second_Flight.html.tmpl',  # 2019 Feb 05
                    'skins/Seasons/cydia.css',
                    'skins/Seasons/skin.conf.cydia',
                    'skins/Seasons/skin.conf.cydia.diff',  # 2019 Feb 05
                    'skins/Seasons/radar.inc.cydia',  # 2019 Feb 05
                    'skins/Seasons/radar.inc.cydia.diff',  # 2019 Feb 05
                    ]),
                ],
            )
        return

#fin!

